Summary:	Makes free online gaming possible
Summary(pl.UTF-8):	Biblioteka pozwalająca grać w darmowe gry online
Name:		libggz
Version:	0.0.14.1
Release:	6
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://mirrors.dotsrc.org/ggzgamingzone/ggz/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	603739504648833779aa13b0327a1c3d
Patch0:		%{name}-link.patch
Patch1:		%{name}-gnutls.patch
URL:		http://www.ggzgamingzone.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the GGZ base library libggz, used by the GGZ Gaming Zone
server (ggzd), the ggzcore library and other components.

%description -l pl.UTF-8
To jest podstawowa biblioteka projektu GGZ - libggz, używana przez
serwer GGZ Gaming Zone (ggzd), bibliotekę ggzcore oraz inne
komponenty.

%package devel
Summary:	Header files for libggz library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libggz
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls-devel
Requires:	libgcrypt-devel

%description devel
Header files for libggz library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libggz.

%package static
Summary:	Static libggz library
Summary(pl.UTF-8):	Statyczna biblioteka libggz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libggz library.

%description static -l pl.UTF-8
Statyczna biblioteka libggz.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4 -I m4/ggz
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gcrypt \
	--with-gnutls-libraries=%{_libdir} \
	--with-tls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/ggz

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README*
%attr(755,root,root) %{_libdir}/libggz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggz.so.2
%dir %{_datadir}/ggz

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libggz.so
%{_libdir}/libggz.la
%{_includedir}/ggz.h
%{_includedir}/ggz_common.h
%{_includedir}/ggz_dio.h
%{_mandir}/man3/ggz.h.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libggz.a
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libggz.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> fc96f23
- x32 rebuild
- release 6 (by relup.sh)

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 11093fb
- release 5 (by relup.sh)

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 2f1959f
- working Source0 URL

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e00f2b5
- rel 4; fix build with new gnutls

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dc68bc9
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7836b6f
- release 2

* Tue Apr 01 2008 lisu <lisu@pld-linux.org> 8bdfd12
- up to 0.0.14.1

* Wed Mar 12 2008 Marcin Banasiak <marcin.banasiak@gmail.com> f7a6b7a
- release 2

* Sun Feb 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 5b3618c
- own %{_datadir}/ggz - it's shared directory between all ggz packages

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 24511c4
- ghost soname symlink
- existing License version (it's LGPL)

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 0bd88d1
- added link patch, pass --with-gnutls-libraries to fix libggz.la

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 743bb33
- space after -L confuses libtool

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 2b91e96
- typo
- added missing libtoolize
- ggz.h(3) man page moved to -devel

* Sun Jul 22 2007 shadzik <shadzik@pld-linux.org> 9895942
- use encryption and tls functionality
- BR: gnutls-devel and libgcrypt-devel

* Sun Jul 22 2007 shadzik <shadzik@pld-linux.org> f3a7e29
- use autotools

* Sun Jul 22 2007 shadzik <shadzik@pld-linux.org> d8b5b81
- typo

* Sun Jul 22 2007 shadzik <shadzik@pld-linux.org> 47d0041
- adapterized

* Sun Jul 22 2007 lisu <lisu@pld-linux.org> 8b786e5
- initial

